import java.io.IOException;

import com.gnostice.pdfone.PDFOne;
import com.gnostice.pdfone.PdfDocument;
import com.gnostice.pdfone.PdfException;
import com.gnostice.pdfone.PdfPasswordHandler;
import com.gnostice.pdfone.PdfReader;

public final class EncryptedDocumentReading implements PdfPasswordHandler
{
    static
    {
        PDFOne.activate("T95VZE:W8HBPVA:74VQ8QV:LO4V8",
            "9B1HRZAP:X5853ERNE:5EREMEGRQ:TX1R10");
    }

    /* This is the password event handler */
    public String onPassword(PdfDocument d, boolean[] flags)
    {
        return "owner";
    }

    /* Usage : java EncryptedDocumentReading <input file path> <output file path> */
    public static void main(String[] args) throws IOException,
        PdfException
    {
        /////////////////////////////////
        //Reading an encrypted document//
        /////////////////////////////////
        
        try{
        /* Create a PdfReader instance for the PDF file */
        PdfReader r = PdfReader.fileReader(args[0] , args[1]);
        
        /* Set password event handler for PdfReader instance */
        r.setOnPasswordHandler(new EncryptedDocumentReading());

        /* Create a PdfDocument instance with the PdfReader */
        PdfDocument d = new PdfDocument(r);

        d.setOpenAfterSave(true);
        d.write();
        r.dispose();
        }
        catch (ArrayIndexOutOfBoundsException n)
        {
            System.out.println("Usage : java EncryptedDocumentReading " +
                    "<input file path> <output file path>");
        }
    }
}
